> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/water-polo/match-data/real-time-data.md).

# Real-time data

## Real-time data

> This interface returns the scores data of the matches within 120 minutes from now(full update)\<br/>ps: The match data beyond 120 minutes is updated and will be returned synchronously\<br/>Suggest the request frequency: 2 seconds/time

```json
{"openapi":"3.0.1","info":{"title":"Water Polo API","version":"1.0.250818"},"tags":[{"name":"MATCH DATA","description":"MATCH DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/waterpolo/match/detail_live":{"get":{"tags":["MATCH DATA"],"description":"This interface returns the scores data of the matches within 120 minutes from now(full update)<br/>ps: The match data beyond 120 minutes is updated and will be returned synchronously<br/>Suggest the request frequency: 2 seconds/time","summary":"Real-time data","operationId":"getMatchDetailLive","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"type":"array","items":{"$ref":"#/components/schemas/MatchDetailLive"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username, please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key, please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"MatchDetailLive":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Match id"},"score":{"$ref":"#/deps/schemas/LiveScore"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"deps":{"schemas":{"LiveScore":{"type":"array","description":"Score data<br/>example: [\"y0or5na07onwrwz\", 100, 0, {\"ap\": [22, 21], \"ft\": [10, 10], \"ot\": [10, 10], \"p1\": [5, 4], \"p2\": [2, 2], \"p3\": [2, 2], \"p4\": [1, 2]}]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Match id | String |\n| `1` | Match status, please refer to Status code->Match state | Integer |\n| `2` | Serving side, 1. Home team, 2. Away team, 0. Unknown | Integer |\n| `3` | Detailed instructions, as above | Not specified |\n","properties":["Match id                                                (String type)","Match status, please refer to Status code->Match state  (Integer type)","Serving side, 1. Home team, 2. Away team, 0. Unknown    (Integer type)",{"$ref":"#/deps/schemas/Score"}],"items":""},"Score":{"type":"object","description":"Score data (May be empty)<br/>ft - Regular score<br/>p* - Single inning score(* - Number of inning, 1, 2, 3...)<br/>ot - Overtime score(Contains regular scores)<br/>ap - Penalty score(Contains overtime scores)","properties":{"ft":{"$ref":"#/deps/schemas/MatchScore"},"p*":{"$ref":"#/deps/schemas/MatchScore"},"ot":{"$ref":"#/deps/schemas/MatchScore"},"ap":{"$ref":"#/deps/schemas/MatchScore"}}},"MatchScore":{"type":"array","items":"","description":"**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Home team score | Integer |\n| `1` | Away team score | Integer |\n"}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/water-polo/match-data/real-time-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
